#pragma once
#include "Model.h"

namespace CppModelBase
{

    class DataAdapter
    {
    public:
        virtual nlohmann::json GetInputData() = 0;
    };

    class InputBuffer : public Model
    {
    private:
    public:
        virtual void RunCyclic(double simulationTime);
    };

}
